<?php
/**
 * Wishlist page template
 *
 * @author Your Inspiration Themes
 * @package YITH WooCommerce Wishlist
 * @version 1.0.6
 */

global $wpdb, $yith_wcwl, $woocommerce;

if( isset( $_GET['user_id'] ) && !empty( $_GET['user_id'] ) ) {
    $user_id = $_GET['user_id'];
} elseif( is_user_logged_in() ) {
    $user_id = get_current_user_id();
}

$current_page = 1;
$limit_sql = '';

if( $pagination == 'yes' ) {
    $count = array();

    if( is_user_logged_in() || ( isset( $user_id ) && !empty( $user_id ) ) ) {
        $count = $wpdb->get_results( $wpdb->prepare( 'SELECT COUNT(*) as `cnt` FROM `' . YITH_WCWL_TABLE . '` WHERE `user_id` = %d', $user_id  ), ARRAY_A );
        $count = $count[0]['cnt'];
    } elseif( yith_usecookies() ) {
        $count[0]['cnt'] = count( yith_getcookie( 'yith_wcwl_products' ) );
    } else {
        $count[0]['cnt'] = count( $_SESSION['yith_wcwl_products'] );
    }

    $total_pages = $count/$per_page;
    if( $total_pages > 1 ) {
        $current_page = max( 1, get_query_var( 'page' ) );

        $page_links = paginate_links( array(
            'base' => get_pagenum_link( 1 ) . '%_%',
            'format' => '&page=%#%',
            'current' => $current_page,
            'total' => $total_pages,
            'show_all' => true
        ) );
    }

    $limit_sql = "LIMIT " . ( $current_page - 1 ) * 1 . ',' . $per_page;
}

if( is_user_logged_in() || ( isset( $user_id ) && !empty( $user_id ) ) )
{ $wishlist = $wpdb->get_results( $wpdb->prepare( "SELECT * FROM `" . YITH_WCWL_TABLE . "` WHERE `user_id` = %s" . $limit_sql, $user_id ), ARRAY_A ); }
elseif( yith_usecookies() )
{ $wishlist = yith_getcookie( 'yith_wcwl_products' ); }
else
{ $wishlist = isset( $_SESSION['yith_wcwl_products'] ) ? $_SESSION['yith_wcwl_products'] : array(); }

// Start wishlist page printing
wc_print_notices();

$show_add_to_cart_content = false;

if( get_option( 'yith_wcwl_price_show' ) == 'yes' || get_option( 'yith_wcwl_stock_show' ) == 'yes' || get_option( 'yith_wcwl_add_to_cart_show' ) == 'yes' ) {

	$show_add_to_cart_content = true;
}

if ( is_active_sidebar('main-sidebar') ) {
	$content_span = 9;
} else {
	$content_span = 12;
}

?>


<div id="column_right" class="<?php echo $content_span; ?>">


	<?php

	do_action( 'yith_wcwl_before_wishlist_title' );

	$wishlist_title = get_option( 'yith_wcwl_wishlist_title' );
	if( !empty( $wishlist_title ) ) {
		echo '<div class="wrapper">';
		echo apply_filters( 'yith_wcwl_wishlist_title', '<h2 class="pull-left">' . $wishlist_title . '</h2>' );
		echo '</div>';
	}

	?>


	<div id="yith-wcwl-messages"></div>

	<form method="post" action="<?php echo esc_url( $yith_wcwl->get_wishlist_url() ) ?>" id="yith-wcwl-form">
		<div class="box-wrapper">
			<div class="inside">

				<?php do_action( 'yith_wcwl_before_wishlist' ); ?>

				<table id="wishlist-table" class="table shopping-cart-table">

					<tbody>

						<tr class="first odd">
							<th class="aligncenter"></th>
							<th class="aligncenter"><?php _e( 'Product Details', 'yit' ) ?></th>
							<?php if ( $show_add_to_cart_content ) { ?>
								<th class="aligncenter"><?php _e( 'Add to Cart', 'yit' ) ?></th>
							<?php } ?>
							<th class="aligncenter"></th>


						</tr>
						<?php if( count( $wishlist ) > 0 ) {
							foreach( $wishlist as $values ) {
								if( !is_user_logged_in() && !isset( $_GET['user_id'] ) ) {
									if( isset( $values['add-to-wishlist'] ) && is_numeric( $values['add-to-wishlist'] ) ) {
										$values['prod_id'] = $values['add-to-wishlist'];
										$values['ID'] = $values['add-to-wishlist'];
									} else {
										$values['prod_id'] = $values['product_id'];
										$values['ID'] = $values['product_id'];
									}
								}

								$product_obj = get_product( $values['prod_id'] );

								if ( $product_obj !== false && $product_obj->exists() ) { ?>

									<tr id="yith-wcwl-row-<?php echo $values['ID'] ?>">

										<td class="product-thumbnail">
											<a href="<?php echo esc_url( get_permalink( apply_filters( 'woocommerce_in_cart_product', $values['prod_id'] ) ) ) ?>">
												<?php echo $product_obj->get_image() ?>
											</a>
										</td>
										<td>
											<h3 class="product-name"><a href="<?php echo esc_url( get_permalink( apply_filters( 'woocommerce_in_cart_product', $values['prod_id'] ) ) ) ?>"><?php echo apply_filters( 'woocommerce_in_cartproduct_obj_title', $product_obj->get_title(), $product_obj ) ?></a></h3>
											<?php if ( $product_obj->post->post_content ) { ?>
												<div class="description std">
													<div class="inner">
														<?php echo $product_obj->post->post_content; ?>
													</div>
												</div>
											<?php } ?>

										</td>
										<?php if( get_option( 'yith_wcwl_price_show' ) == 'yes' || get_option( 'yith_wcwl_stock_show' ) == 'yes' || get_option( 'yith_wcwl_add_to_cart_show' ) == 'yes' ) { ?>
											<td>
												<div class="cart-cell">
													<?php if ( get_option( 'yith_wcwl_price_show' ) == 'yes' ) {

														if ( $product_obj->price != '0' ) {
															echo '<div class="price-box">';

															if( get_option( 'woocommerce_tax_display_cart' ) == 'excl' ) {
																echo apply_filters( 'woocommerce_cart_item_price_html', woocommerce_price( $product_obj->get_price_excluding_tax() ), $values, '' );
															} else {
																echo apply_filters( 'woocommerce_cart_item_price_html', woocommerce_price( $product_obj->get_price() ), $values, '' );
															}

															echo '</div>';
														} else {
															echo apply_filters( 'yith_free_text', __( 'Free!', 'yit' ) );
														}

													}

													if( get_option( 'yith_wcwl_stock_show' ) == 'yes' ) {

														$availability = $product_obj->get_availability();
														$stock_status = $availability['class'];

														if( $stock_status == 'out-of-stock' ) {
															$stock_status = "Out";
															echo '<span class="wishlist-out-of-stock">' . __( 'Out of Stock', 'yit' ) . '</span>';
															echo '<span class="wishlist-out-of-stock">' . __( 'Out of Stock', 'yit' ) . '</span>';
														} else {
															$stock_status = "In";
															echo '<span class="wishlist-in-stock">' . __( 'In Stock', 'yit' ) . '</span>';
														}

													}

													if( get_option( 'yith_wcwl_add_to_cart_show' ) == 'yes' ) {

														if ( !$availability ) {
															$availability = $product_obj->get_availability();
														}

														if ( $availability['class'] != 'out-of-stock' ) {
															echo '<div class="add-to-cart-alt">'. YITH_WCWL_UI::add_to_cart_button( $values['prod_id'], $availability['class'] ) . '</div>';
														}
													}

													?>

												</div>

											</td>
										<?php } //endif ?>
										<td class="last">
											<a href="javascript:void(0)" onclick="remove_item_from_wishlist( '<?php echo esc_url( $yith_wcwl->get_remove_url( $values['ID'] ) )?>', 'yith-wcwl-row-<?php echo $values['ID'] ?>');" class="icon-trash-2 custom_color" title="<?php _e( 'Remove this product', 'yit' ) ?>"></a>
										</td>
									</tr>
								<?php } //endif;
							} //endforeach;
						} else { ?>
							<tr>
								<td colspan="6" class="wishlist-empty"><?php _e( 'No products were added to the wishlist', 'yit' ) ?></td>
							</tr>
						<?php } //endif; ?>

						<?php if( isset( $page_links ) ) { ?>
							<tr>
								<td colspan="6"><?php echo $page_links ?></td>
							</tr>
						<?php } //endif ?>
					</tbody>
				</table>

				<?php
				do_action( 'yith_wcwl_after_wishlist' );

				yith_wcwl_get_template( 'share.php' );

				do_action( 'yith_wcwl_after_wishlist_share' );
				?>

			</div>
		</div>
	</form>

</div>

<?php if ( is_active_sidebar('main-sidebar') ) { ?>

	<div id="column_left" class="span3">
		<div class="row">
			<div class="span3">
				<?php dynamic_sidebar('listing-sidebar'); ?>
			</div>
		</div>
	</div>

<?php } //endif; ?>